aid_customers_atributes_get
curl --request GET \
--url https://api.dintero.com/v1/accounts/{aid}/customers/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/customers/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/accounts/{aid}/customers/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/customers/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/accounts/{aid}/customers/settings")
.header("Authorization", "Bearer <token>")
.asString();{
"users": {
"customer_id_format": "uuid",
"head": {
"enabled": false
},
"phone_number_validation": {
"allow_duplicates": false
},
"mfa": {
"enabled": false,
"login": {
"challenge_type": "oob",
"oob_channel": "sms"
},
"login_recovery": {
"challenge_type": "oob",
"oob_channel": "sms"
}
},
"verifications": {
"phone_number": "sms"
}
},
"auto_tokens": {
"phone_number": [
{
"type": "SHA256"
}
],
"email": [
{
"type": "SHA256"
}
]
},
"tokens": {
"event_expiry": [
{
"status": "OPT_OUT",
"time_to_live": 15780000
}
]
},
"attributes": [
{
"name": "<string>",
"type": "string",
"multiple_values": false,
"private": false
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Customer Settings
Customers settings
Get customers settings
scopes:
- admin:customers
- read:customers
- public:customers
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
customers
/
settings
aid_customers_atributes_get
curl --request GET \
--url https://api.dintero.com/v1/accounts/{aid}/customers/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/customers/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/accounts/{aid}/customers/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/customers/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/accounts/{aid}/customers/settings")
.header("Authorization", "Bearer <token>")
.asString();{
"users": {
"customer_id_format": "uuid",
"head": {
"enabled": false
},
"phone_number_validation": {
"allow_duplicates": false
},
"mfa": {
"enabled": false,
"login": {
"challenge_type": "oob",
"oob_channel": "sms"
},
"login_recovery": {
"challenge_type": "oob",
"oob_channel": "sms"
}
},
"verifications": {
"phone_number": "sms"
}
},
"auto_tokens": {
"phone_number": [
{
"type": "SHA256"
}
],
"email": [
{
"type": "SHA256"
}
]
},
"tokens": {
"event_expiry": [
{
"status": "OPT_OUT",
"time_to_live": 15780000
}
]
},
"attributes": [
{
"name": "<string>",
"type": "string",
"multiple_values": false,
"private": false
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
Required string length:
9Response
an object of customers settings
Customer settings for the account
Last modified on May 12, 2026